<?php
	$ruta="../../../../";
	extract($_GET);
	include_once($ruta."class/ciclo.php");
	$ciclo=new ciclo;
	include_once($ruta."class/individualcredito.php");
	$individualcredito=new individualcredito;
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;
	include_once($ruta."class/personagrupo.php");
	$personagrupo=new personagrupo;
	include_once($ruta."class/persona.php");
	$persona=new persona;
	include_once($ruta."class/tipobanca.php");
	$tipobanca=new tipobanca;
	include_once($ruta."class/creditomov.php");
	$creditomov=new creditomov;
	include_once($ruta."class/miempresa.php");
	$miempresa=new miempresa;
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	include_once($ruta."class/enlacecontable.php");
	$enlacecontable=new enlacecontable;
	include_once($ruta."class/individual.php");
	$individual=new individual;
	session_start();
	$cred=$credito->muestra($idcredito);
	$gcred=$individualcredito->muestra($cred['idgrupocredito']);
	$gr=$individual->muestra($gcred['idindividual']);
	$per=$persona->mostrarPrimero("idpersona=".$cred['idpersona']);
	$rutaImg=$ruta."imagenes/logo.png";
	$demp=$miempresa->muestra(1);
	$tba=$tipobanca->muestra($cred['idtipobanca']);

	$montoCAM=$cred['montoOT']/$cred['cuotas'];
	/***************** INTERES  **********************************************/
	$ddom=$dominio->muestra($cred['idfrecuenciapago']);
	$mesesPlazo=$cred['cuotas']/$ddom['codigo'];
	$interesTotal=($cred['montoOT']*($cred['interes']/100)*$mesesPlazo);
	$interesCuota=$interesTotal/$cred['cuotas'];
	$interesCuota=number_format($interesCuota, 2, '.', '');
	/*************************************************************************/
	// CUOTA ACUMULADA
	$gaTotal=$cred['montoOT']*($tba['gastosadmin']/100);
	$gastoadmin=$gaTotal/$cred['cuotas'];
	$gastoadmin=number_format($gastoadmin, 2, '.', '');
	/****************************************************************/
	//SEGURO
	$seguro=$cred['montoOT']*($cred['seguro']/100);
	$seguro=$seguro/$cred['cuotas'];
    $seguro=number_format($seguro, 2, '.', '');
	/*******************************************************/
	$totalCuota=$montoCAM+$interesCuota+$gastoadmin+$seguro;
	$totalCuota=round($totalCuota, 2);
	$totalCuotaResto=$interesCuota+$gastoadmin+$seguro;
	$cuotaPago=$cred['cuotaspagadas']+1;
	// CAPITAL ADEUDADO A PAGAR *******************************************************/
	// Capital pagado = MontoOT-saldo
	$capitalPagado=$cred['montoOT']-$cred['saldo'];
	$pagoACapital=number_format($montoCAM, 2, '.', '')*number_format($cuotaPago, 2, '.', '');
	//$montoCAM*$cuotaPago;
	$CapitalAPagar=$pagoACapital-$capitalPagado;
	/*********************************************************************************/
	// INETERES ADEUDADO *************************************************************/
	$interesPago=$interesCuota*$cuotaPago;
	$interesAPagar=$interesPago-$cred['interesPagado'];
  	$interesAPagar=number_format($interesAPagar, 2, '.', '');
	/*********************************************************************************/
	// CUOTA ACUMULADA ADEUDADA
	$cuotaAcumPago=$gastoadmin*$cuotaPago;
	$cuotaAcumAPagar=$cuotaAcumPago-$cred['cuotaAcumulada'];
  	$cuotaAcumAPagar=number_format($cuotaAcumAPagar, 2, '.', '');
	/*********************************************************************************/
	// SEGURO ADEUDADO ***************************************************************/
	$seguroPago=$seguro*$cuotaPago;
	$seguroAPagar=$seguroPago-$cred['seguroPagado'];
  	$seguroAPagar=number_format($seguroAPagar, 2, '.', '');
	/*********************************************************************************/
	$totalAPagar=$CapitalAPagar+$interesAPagar+$cuotaAcumAPagar+$seguroAPagar;
	$totalAPagar=number_format($totalAPagar, 2, '.', '');
	//echo "TOTAL: ".$totalAPagar;
	$interesAPagar=$interesAPagar;
	$cuotaAcumAPagar=$cuotaAcumAPagar;
	$seguroAPagar=$seguroAPagar;
	//si adelanta capital
	$resto=0;
	if ($idmonto>=$totalAPagar) {
		//es cuota completa
		$indicador=1;
		//echo $resto;

		$resto=$idmonto-$totalAPagar;
		$capital=$CapitalAPagar;

		//para obtener la proxima fecha
		//$nuevafecha = strtotime ( '+'.$cred['lapsoDias'].' day' , strtotime ($cred['fechaproxve'])) ;
		$nuevafecha = strtotime ( '+'.$cred['lapsoDias'].' month' , strtotime ($cred['fechaproxve'])) ;
	    $nuevafecha = date ( 'Y-m-d' , $nuevafecha );

	    $cuotas=1;
	    switch ($cred['estadocredito']) {
			case 1:// vigente
				$codigo=1002;
				break;
			case 2://vencido
				$codigo=1003;
				break;
			case 3://Ejecucion
				$codigo=1004;
				break;
			case 4://Castigado
				$codigo=1005;
				break;
		}
		$denlace=$enlacecontable->muestra($codigo);
		$txtoperacion=$denlace['movimiento'];
		$total=$idmonto;
	    $msg="Correcto";
	}else{
		$montoCuota=$cred['montocuota'];
		$montoCuota=number_format($montoCuota, 2, '.', '');
		$cuotas=$idmonto/$montoCuota;
		$CantCuotas=intval($cuotas);
		if ($CantCuotas>0) {
			$indicador=1;
			$interesAPagar=$interesCuota*$CantCuotas;
			$cuotaAcumAPagar=$gastoadmin*$CantCuotas;
			$seguroAPagar=$seguro*$CantCuotas;
			$capital=$montoCAM*$CantCuotas;
			$resto=$idmonto-$capital-$seguroAPagar-$cuotaAcumAPagar-$interesAPagar;
			$resto=number_format($resto, 2, '.', '');
			$capital=$capital+$resto;
			$capital=number_format($capital, 2, '.', '');
			$resto=0;
			//para obtener la proxima fecha
			//$nuevafecha = strtotime ( '+'.$cred['lapsoDias'].' day' , strtotime ($cred['fechaproxve'])) ;
			$nuevafecha = strtotime ( '+'.$cred['lapsoDias'].' month' , strtotime ($cred['fechaproxve'])) ;
		    $nuevafecha = date ( 'Y-m-d' , $nuevafecha );

		    $cuotas=1;
		    switch ($cred['estadocredito']) {
				case 1:// vigente
					$codigo=1002;
					break;
				case 2://vencido
					$codigo=1003;
					break;
				case 3://Ejecucion
					$codigo=1004;
					break;
				case 4://Castigado
					$codigo=1005;
					break;
			}
			$denlace=$enlacecontable->muestra($codigo);
			$txtoperacion=$denlace['movimiento'];
			$total=$idmonto;
		    $msg="Correcto";
		}else{
			//cuota solo adelanto
			$indicador=0;
			$msg="Monto insuficiente para cuota, Solo se adelantara la cuota";
			$total=$idmonto;
			$capital=$CapitalAPagar-$idmonto+$totalCuotaResto;
			$capital=$CapitalAPagar-$capital;


			//$nuevafecha = strtotime ( '+'.$cred['lapsoDias'].' day' , strtotime ($cred['fechaproxve'])) ;
			$nuevafecha = strtotime ( '+'.$cred['lapsoDias'].' month' , strtotime ($cred['fechaproxve'])) ;
		    $nuevafecha = date ( 'Y-m-d' , $nuevafecha );
			
			$cuotas=0;
			$codigo=0;
			$txtoperacion=0;
			switch ($cred['estadocredito']) {
				case 1:// vigente
					$codigo=1010;
					break;
				case 2://vencido
					$codigo=1011;
					break;
				case 3://Ejecucion
					$codigo=1012;
					break;
				case 4://Castigado
					$codigo=1013;
					break;
			}
			$denlace=$enlacecontable->muestra($codigo);
			$txtoperacion=$denlace['movimiento'];
		}
	}
	//$capital=round($capital, 2);

	/******************** DATOS PREPARADOS  ***************************/
	$arrayJSON['ind']=$indicador;
	$arrayJSON['total']=round($total,2);
	$arrayJSON['capital']=round($capital,2);
	$arrayJSON['adelanto']=round($resto,2);
	$arrayJSON['interes']=round($interesAPagar,2);
	$arrayJSON['cuotaAcum']=round($cuotaAcumAPagar,2);
	$arrayJSON['seguro']=round($seguroAPagar,2);
	$arrayJSON['proxvence']=$nuevafecha;
	$arrayJSON['cuotas']=$cuotas;
	$arrayJSON['operacion']=$codigo;
	$arrayJSON['txtoperacion']=$txtoperacion;
	$arrayJSON['msg']=$msg;

	echo json_encode($arrayJSON); 
	/*****************************************************************/
?>